﻿package
{
	import flash.display.*;
	import flash.events.*;
	import BowlingBall;
	import Util;
	
	public class BallLauncherW extends BallLauncher
	{
		
		public function BallLauncherW()
		{
			
		}
		
		public override function collide(b:BowlingBall)
		{
			//if ball is coming from the north
			if (b.x == this.x && b.y < this.y && b.vy > 0)
				b.vy *= -1;
				
			//if ball is coming from the west
			else if (b.x == this.x && b.y == this.y && b.vx > 0)
				b.vx *= -1;
				
			//if ball is coming from the south
			else if (b.x == this.x && b.y > this.y && b.vy < 0)
				b.vy *= -1;
				
			//if ball is coming in from the east
			else if (this.x < b.x && this.y == b.y && b.vx < 0)
				b.vx *= -1;
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 1);
			wall2 = Util.createWall(this, this.x, this.y, 2);
			wall3 = Util.createWall(this, this.x, this.y, 3);
		}

		public override function launchBall()
		{
			if (!legalLaunch())
				return;
				
			var ball:MovieClip = new BowlingBall();
			
			ball.x = this.x;
			ball.y = this.y;
			ball.vx = Util.moveUnit * -1;
			ball.vy = 0;
			
			parent.addChild(ball);
			launched = true;
			
			if (buttonMode && !used)
			{
				ball.numPieces++;
				used = true;
			}
		}
		
		public override function rotateLeft()
		{
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			
			var BLS:BallLauncherS = new BallLauncherS();
			BLS.x = this.x;
			BLS.y = this.y;
			BLS.isSelected = true;
			parent.addChild(BLS);
			BLS.setDraggable(true);
			stage.focus = BLS;
			
			this.parent.removeChild(this);
			BLS.name = "Launcher";
		}
		
		public override function rotateRight()
		{
			var BLN:BallLauncherN = new BallLauncherN();
			BLN.x = this.x;
			BLN.y = this.y;
			BLN.isSelected = true;
			parent.addChild(BLN);
			BLN.setDraggable(true);
			stage.focus = BLN;
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
			BLN.name = "Launcher";
		}
	}
}