﻿package
{
	import flash.events.*;
	
	public class BigRampW extends BigRamp
	{
		public function BigRampW()
		{
			
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 1);
			wall2 = Util.createWall(this, this.x, this.y, 4);
			wall3 = Util.createWall(this, this.x, this.y, 3);
		}
		
		
		public override function rotateLeft()
		{
			var BRS:BigRampS = new BigRampS();
			BRS.x = this.x;
			BRS.y = this.y;
			BRS.isSelected = true;
			parent.addChild(BRS);
			BRS.setDraggable(true);
			stage.focus = (BRS);
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function rotateRight()
		{
			var BRN:BigRampN = new BigRampN();
			BRN.x = this.x;
			BRN.y = this.y;
			BRN.isSelected = true;
			parent.addChild(BRN);
			BRN.setDraggable(true);
			stage.focus = (BRN);
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function launchBall(b:BowlingBall)
		{
			if (b.vx < 0)
			{
				super.launchBall(b);
				b.rampDir = 4;
				b.xDown = this.x - (Util.gridUnit * 4);
				b.yDown = this.y;
			}
		}
		
		public override function collide(b:BowlingBall)
		{
			if (b.vx < 0 && b.y == this.y)
			{
				if (b.x == this.x)
				{
					launchBall(b);
					//b.numPieces++;
				}
			}
			else if (b.vx > 0 && b.y == this.y && b.x < this.x)
			{
				if (!b.inAir)
					b.vx *= -1;
			}
			else if (b.vy != 0 && b.x == this.x)
			{
				if (!b.inAir)
					b.vy *= -1;
			}
			
			if (buttonMode && !used)
			{
				b.numPieces++;
				used = true;
			}
		}
	}
}