﻿package
{
	import flash.display.*;
	import flash.events.*;
	import flash.ui.Keyboard;
	import Util;
	import Wall;
	
	public class FullPipe extends Obstacle
	{
		var wall1:Wall;
		var wall2:Wall;
		var wall3:Wall;
		var wall4:Wall;
		
		public function FullPipe()
		{
			this.addEventListener(MouseEvent.MOUSE_DOWN, mouseDown_handler);
			this.addEventListener(MouseEvent.MOUSE_UP, mouseUp_handler);
			
			//In superclass obstacle
			//this.addEventListener(MouseEvent.CLICK, mouseClick_handler);
			//this.addEventListener(Event.ENTER_FRAME, enterFrame_handler);
			//this.addEventListener(Event.ADDED_TO_STAGE, added_handler);
			//Util.snap(this);
		}

		
		public override function rotateLeft()
		{
			//prototype
		}
		
		public override function rotateRight()
		{
			//prototype
		}
		
		public override function updateWalls()
		{
			
		}
		
		public override function removeWalls()
		{
			parent.removeChild(wall1);
			parent.removeChild(wall2);
			parent.removeChild(wall3);
			parent.removeChild(wall4);
		}
		
		public function switchPipe(top:Boolean, b:BowlingBall)
		{
			//prototype for sub classes
		}
		
		public override function mouseDown_handler(e:MouseEvent):void
		{
			e.currentTarget.startDrag();
			removeWalls();
		}
		
		public override function mouseUp_handler(e:MouseEvent):void
		{
			e.currentTarget.stopDrag();
			Util.snap(this);
			updateWalls();
		}
	}
}