﻿package
{
	public class KillZone extends Obstacle
	{
		public function KillZone()
		{
			this.visible = false;
		}
		
		public override function collide(b:BowlingBall)
		{
			if (b.x == this.x && b.y == this.y)
			{
				var ta = new TryAgain();
				var hole = new Explosion();
				hole.x = this.x;
				hole.y = this.y;
				
				ta.y = 200 - (ta.height/2) - 15;
				
				parent.addChildAt(ta, parent.numChildren - 1);
				ta.play();
				
				var level:Level = parent as Level;
				
				if (level != null)
				{
					var goalx = level.Goal.x;
				
					if (b.x == goalx + 30 || b.x == goalx - 30)
					{
						if (!level.almost)
						{
							var almost = new Almost();
						
							//Set positions. the -15's are to accomodate for the level position
							almost.x = 350 - (almost.width/2) - 15;
							almost.y = 100;
							parent.addChild(almost);
							almost.play();
							level.almost = true;
						}
					}
				}
				
				b.die();
				if (this.x > 0 && this.x < Util.gridUnit * 19 && this.y > 0 && this.y < Util.gridUnit * 12)
				{
					if (!((this.y == 7 * Util.gridUnit || this.y == 8 * Util.gridUnit) && (this.x == 3 * Util.gridUnit || this.x == 7 * Util.gridUnit || this.x == 11 * Util.gridUnit || this.x == 15 * Util.gridUnit)))
						parent.addChild(hole);
				}
			}
		}
	}
}