﻿package
{
	import flash.events.*;
	
	public class SmallRampS extends SmallRamp
	{
		public function SmallRampS()
		{
			
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 2);
			wall2 = Util.createWall(this, this.x, this.y, 4);
			wall3 = Util.createWall(this, this.x, this.y, 3);
		}
		
		public override function collide(b:BowlingBall)
		{
			if (b.vy > 0 && b.x == this.x)
			{
				if (b.y == this.y)
				{
					launchBall(b);
					//b.numPieces++;
				}
			}
			else if (b.vy < 0 && b.y > this.y && b.x == this.x)
			{
				if (!b.inAir)
					b.vy *= -1;
			}
			else if (b.vx != 0 && b.y == this.y)
			{
				if (!b.inAir)
					b.vx *= -1;
			}
			
			if (buttonMode && !used)
			{
				b.numPieces++;
				used = true;
			}
		}
		
		public override function rotateRight()
		{
			var SRW:SmallRampW = new SmallRampW();
			SRW.x = this.x;
			SRW.y = this.y;
			SRW.isSelected = true;
			parent.addChild(SRW);
			SRW.setDraggable(true);
			stage.focus = SRW;
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function rotateLeft()
		{
			var SRE:SmallRampE = new SmallRampE();
			SRE.x = this.x;
			SRE.y = this.y;
			SRE.isSelected = true;
			parent.addChild(SRE);
			SRE.setDraggable(true);
			stage.focus = SRE;
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function launchBall(b:BowlingBall)
		{
			if (b.vy > 0)
			{
				super.launchBall(b);
				b.xDown = this.x;
				b.yDown = this.y + (Util.gridUnit * 2) - 5;
			}
		}
	}
}