﻿package
{
	import flash.display.*;
	import Wall;
	
	public class Util
	{
		public static var moveUnit:Number = 5;
		public static var gridUnit:Number = 30;
		public static var smallRampFrames:Number = 12;
		public static var largeRampFrames:Number = 24;
		
		public static function snap(obj:MovieClip)
		{
			if (obj.x < gridUnit * 21)
			{
				if (obj.x % gridUnit != 0)
				{
					if (obj.x % gridUnit < gridUnit/2)
						obj.x -= obj.x % gridUnit;
					else
						obj.x += (gridUnit - obj.x % gridUnit);
				}
				if (obj.y % gridUnit != 0)
				{
					if (obj.y % gridUnit < gridUnit/2)
						obj.y -= obj.y % gridUnit;
					else
						obj.y += (gridUnit - obj.y % gridUnit);
				}
			}
		}
		
		public static function createWall(obj:MovieClip, xPos:Number, yPos:Number, ori:Number):Wall
		{
			var wall:Wall;
			
			if (ori == 1)
				wall = new WallN();
			else if (ori == 2)
				wall = new WallE();
			else if (ori == 3)
				wall = new WallS();
			else if (ori == 4)
				wall = new WallW();
			
			wall.x = xPos;
			wall.y = yPos;
			
			wall.visible = true;
			
			obj.parent.addChild(wall);
			
			return wall;
		}
	}
}