﻿/*
This class controls snowmen
*/

package
{

	import flash.display.*
	import flash.events.*
	import flash.ui.*
	import flash.filters.*
	import flash.utils.Timer;
    import flash.events.TimerEvent;
	
	public class FinishLine extends Killable
	{
		static public var main;
		
		public function FinishLine(x_, y_)
		{	
			main = this;
			
			//set the position of the finish line
			x = x_;
			y = y_;
			
			//add an ENTER_FRAME event so we can do some logic at frame rate
			addEventListener(Event.ENTER_FRAME, enterFrame);
			
			this.addEventListener(Event.ADDED_TO_STAGE, added);
		}
		
		public function added(e:Event)
		{
			
		}
		
		//do this at frame rate
		public function enterFrame(e:Event)
		{
			if ((this.parent != null) && (!Game.frozen))
			{
				move();
				
				if (y < -10)
				{
					kill();
				}
			}
		}
		
		public override function kill()
		{
			if (this.parent != null)
			{
				removeEventListener(Event.ENTER_FRAME, enterFrame);
				parent.removeChild(this);
			}
		}
		
		//at frame rate see if any of the arrows keys are being pressed
		public function move()
		{
			if (this.parent != null)
			{
				if (Game.main.player.moving)
				{
					y -= 10;
				}
			}
		}
	}
}