﻿/*
This class controls the green startup light
*/

package
{

	import flash.display.*
	import flash.events.*
	import flash.ui.*
	import flash.filters.*
	import flash.utils.Timer;
    import flash.events.TimerEvent;
	import flash.media.*;
	
	public class GreenLight extends Killable
	{
		var high:BeepHigh = new BeepHigh();
		var highChannel:SoundChannel = new SoundChannel();
		
		public var timeLeft;
		
		public function GreenLight(x_,y_)
		{	
			this.stop();
			
			main = this;
			
			timeLeft = 30;
			
			x = x_;
			y = y_;
			
			this.addEventListener(Event.ADDED_TO_STAGE, added);
		}
		
		public function added(e:Event)
		{
			addEventListener(Event.ENTER_FRAME, enterFrame);
			highChannel.soundTransform = new SoundTransform(0.1);
		}
		
		public function enterFrame(e:Event)
		{
			if (this.parent != null)
			{
				timeLeft--;
						
				if ((timeLeft == 20) || (timeLeft == 10))
				{
					this.nextFrame();
					if (timeLeft == 10) highChannel = high.play();
				}
				
				if (timeLeft == 5)
				{
					Game.main.timer.start();
					Game.starting = false;
					Game.frozen = false;
				}
				
				if (timeLeft <= 0)
				{
					kill();
				}
			}
		}
		
		public override function kill()
		{
			if (this.parent != null)
			{
				removeEventListener(Event.ENTER_FRAME, enterFrame);
				parent.removeChild(this);
			}
		}
	}
}