﻿/*
This class controls a piece of the player's trail
*/

package
{

	import flash.display.*
	import flash.events.*
	import flash.ui.*
	import flash.filters.*
	import flash.utils.Timer;
    import flash.events.TimerEvent;
	
	public class Trail extends Killable
	{
		//the snowman is created in the Game's PlaceSnowmen() function 
		public function Trail(x_, y_)
		{				
			//set the position of the trail piece
			x = x_;
			y = y_;
			
			//add an ENTER_FRAME event so we can do some logic at frame rate
			addEventListener(Event.ENTER_FRAME, enterFrame);
		}
		
		//do this at frame rate
		public function enterFrame(e:Event)
		{
			if ((this.parent != null) && (!Game.frozen))
			{
				move();
				
				if (y < -40)
				{
					kill();
				}
			}
		}
		
		public override function kill()
		{
			if (this.parent != null)
			{
				removeEventListener(Event.ENTER_FRAME, enterFrame);
				parent.removeChild(this);
			}
		}

		public function move()
		{
			if (Game.main.player.moving)
			{
				y -= 10;
			}
		}
	}
}