﻿/*
This class controls the yellow startup light
*/

package
{

	import flash.display.*
	import flash.events.*
	import flash.ui.*
	import flash.filters.*
	import flash.utils.Timer;
    import flash.events.TimerEvent;
	import flash.media.*;
	
	public class YellowLight extends Killable
	{
		var low:BeepLow = new BeepLow();
		var lowChannel:SoundChannel = new SoundChannel();
		
		public var timeLeft;
		
		public function YellowLight(x_,y_)
		{	
			this.stop();
			
			main = this;
			
			timeLeft = 30;
			
			x = x_;
			y = y_;
			
			this.addEventListener(Event.ADDED_TO_STAGE, added);
		}
		
		public function added(e:Event)
		{
			addEventListener(Event.ENTER_FRAME, enterFrame);
			lowChannel.soundTransform = new SoundTransform(0.1);
		}
		
		public function enterFrame(e:Event)
		{
			if (this.parent != null)
			{
				timeLeft--;
							
				if ((timeLeft == 20) || (timeLeft == 10))
				{
					this.nextFrame();
					if (timeLeft == 10) lowChannel = low.play();
				}
				
				if (timeLeft <= 0)
				{
					this.parent.addChild(new GreenLight(x,y));
					kill();
				}
			}
		}
		
		public override function kill()
		{
			if (this.parent != null)
			{
				removeEventListener(Event.ENTER_FRAME, enterFrame);
				parent.removeChild(this);
			}
		}
	}
}