﻿package
{
	import flash.display.*;
	import flash.events.*;
	import BowlingBall;
	import Util;
	
	public class BallLauncherN extends BallLauncher
	{
		
		public function BallLauncherN()
		{
			
		}
		
		public override function collide(b:BowlingBall)
		{
			//if ball is coming from the north
			if (b.x == this.x && b.y == this.y && b.vy > 0)
				b.vy *= -1;
				
			//if ball is coming from the west
			else if (b.x < this.x && b.y == this.y && b.vx > 0)
				b.vx *= -1;
				
			//if ball is coming from the south
			else if (b.x == this.x && b.y > this.y && b.vy < 0)
				b.vy *= -1;
				
			//if ball is coming in from the east
			else if (this.x < b.x && this.y == b.y && b.vx < 0)
				b.vx *= -1;
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 3);
			wall2 = Util.createWall(this, this.x, this.y, 2);
			wall3 = Util.createWall(this, this.x, this.y, 4);
		}

		public override function launchBall()
		{
			if (!legalLaunch())
				return;
				
			var ball:MovieClip = new BowlingBall();
			
			ball.x = this.x;
			ball.y = this.y;
			ball.vx = 0;
			ball.vy = Util.moveUnit * -1;
			
			parent.addChild(ball);
			launched = true;
			
			if (buttonMode && !used)
			{
				ball.numPieces++;
				used = true;
			}
		}
		
		public override function rotateLeft()
		{
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			var BLW:BallLauncherW = new BallLauncherW();
			BLW.x = this.x;
			BLW.y = this.y;
			BLW.isSelected = true;
			parent.addChild(BLW);
			BLW.setDraggable(true);
			stage.focus = BLW;
			
			//this.removeWalls();
			
			this.parent.removeChild(this);
			BLW.name = "Launcher";
		}
		
		public override function rotateRight()
		{
			var BLE:BallLauncherE = new BallLauncherE();
			BLE.x = this.x;
			BLE.y = this.y;
			BLE.isSelected = true;
			parent.addChild(BLE);
			BLE.setDraggable(true);
			stage.focus = BLE;
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
			BLE.name = "Launcher";
		}
		
	}
}