﻿package
{
	import flash.display.*;
	import flash.events.*;
	
	public class BigRamp extends Obstacle
	{
		var wall1:Wall;
		var wall2:Wall;
		var wall3:Wall;
		
		public function BigRamp()
		{
			selector.graphics.drawRect(0, 0, Util.gridUnit, Util.gridUnit);
		}
		
		public override function updateWalls() {}
		
		public function launchBall(b:BowlingBall) 
		{
			b.inAir = true; 
			b.bigRamp = true;
		}
		
		public override function collide(b:BowlingBall)
		{
			launchBall(b);
		}
		
		public override function removeWalls()
		{
			if (wall1.parent != null)
				parent.removeChild(wall1);
			if (wall2.parent != null)
				parent.removeChild(wall2);
			if (wall3.parent != null)
				parent.removeChild(wall3);
		}
	}
}