﻿package
{
	import flash.events.*;
	
	public class BigRampS extends BigRamp
	{
		public function BigRampS()
		{
			
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 3);
			wall2 = Util.createWall(this, this.x, this.y, 4);
			wall3 = Util.createWall(this, this.x, this.y, 2);
		}
		
		
		public override function rotateLeft()
		{
			var BRE:BigRampE = new BigRampE();
			BRE.x = this.x;
			BRE.y = this.y;
			BRE.isSelected = true;
			parent.addChild(BRE);
			BRE.setDraggable(true);
			stage.focus = (BRE);
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function rotateRight()
		{
			var BRW:BigRampW = new BigRampW();
			BRW.x = this.x;
			BRW.y = this.y;
			BRW.isSelected = true;
			parent.addChild(BRW);
			BRW.setDraggable(true);
			stage.focus = (BRW);
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function launchBall(b:BowlingBall)
		{
			if (b.vy > 0)
			{
				super.launchBall(b);
				b.rampDir = 3;
				b.xDown = this.x;
				b.yDown = this.y + (Util.gridUnit * 4);
			}
		}
		
		public override function collide(b:BowlingBall)
		{
			if (b.vy > 0 && b.x == this.x)
			{
				if (b.y == this.y)
				{
					launchBall(b);
					//b.numPieces++;
				}
			}
			else if (b.vy < 0 && b.y > this.y && b.x == this.x)
			{
				if (!b.inAir)
					b.vy *= -1;
			}
			else if (b.vx != 0 && b.y == this.y)
			{
				if (!b.inAir)
					b.vx *= -1;
			}
			
			if (buttonMode && !used)
			{
				b.numPieces++;
				used = true;
			}
		}
	}
}