﻿package
{
	public class CatcherCCW extends Catcher
	{
		public override function collide(b:BowlingBall)
		{
			if (this.x == b.x && this.y == b.y)
			{
				changeDir(b);
				
				if (buttonMode && !used)
				{
					b.numPieces++;
					used = true;
				}
			}
		}
		
		public override function changeDir(b:BowlingBall)
		{
			//W -> N
			//E -> S
			//N -> E
			//S -> W
			
			if (b.vx == 0)
			{
				if (b.vy > 0)
					b.vx = Util.moveUnit;
				else
					b.vx = Util.moveUnit * -1;
				
				b.vy = 0;
			}
			else
			{					
				if (b.vx > 0)
					b.vy = Util.moveUnit * -1;
				else
					b.vy = Util.moveUnit;
					
				b.vx = 0;
			}
		}
	}
}