﻿package
{
	public class CatcherCW extends Catcher
	{
		public override function collide(b:BowlingBall)
		{
			if (this.x == b.x && this.y == b.y)
			{
				changeDir(b);
				
				if (buttonMode && !used)
				{
					used = true;
					b.numPieces++;
				}
			}
		}
		
		public override function changeDir(b:BowlingBall)
		{
			//CW
			//in from -> goes to
			//E -> S
			//N -> W
			//W -> N
			//S -> E
			if (b.vx == 0)
			{					
				if (b.vy > 0)
					b.vx = Util.moveUnit * -1;
				else
					b.vx = Util.moveUnit;
					
				b.vy = 0;
			}
			else
			{
				if (b.vx < 0)
					b.vy = Util.moveUnit * -1;
				else
					b.vy = Util.moveUnit;
				
				b.vx = 0;
			}
		}
	}
}