﻿package
{
	import flash.display.*;
	import flash.events.*;
	import Util;
	import HalfPipeSE;
	import HalfPipeNE;
	import BowlingBall;
	
	public class FullPipeN extends FullPipe
	{
		public function FullPipeN()
		{
			super();
			selector.graphics.drawRect(0, 0, Util.gridUnit*2, Util.gridUnit);
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 3);
			wall2 = Util.createWall(this, this.x, this.y, 4);
			wall3 = Util.createWall(this, this.x+Util.gridUnit, this.y, 2);
			wall4 = Util.createWall(this, this.x+Util.gridUnit, this.y, 3);
		}
		
		public override function switchPipe(top:Boolean, obj:BowlingBall)
		{
			obj.vy *= -1;
			
			
			if (top)
				obj.x += Util.gridUnit;
			else
				obj.x -= Util.gridUnit;
		}
		
		public override function rotateLeft()
		{
			var FPE:FullPipeE = new FullPipeE();
			FPE.x = this.x;
			FPE.y = this.y;
			FPE.isSelected = true;
			parent.addChild(FPE);
			
			this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function rotateRight()
		{
			var FPW:FullPipeW = new FullPipeW();
			FPW.x = this.x;
			FPW.y = this.y;
			FPW.isSelected = true;
			parent.addChild(FPW);
			
			this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
	}
}