﻿package
{
	import flash.display.*;
	import flash.events.*;
	import Util;
	import HalfPipeSE;
	import HalfPipeNE;
	import BowlingBall;
	
	public class FullPipeW extends FullPipe
	{
		public function FullPipeW()
		{
			super();
			selector.graphics.drawRect(0, 0, Util.gridUnit, Util.gridUnit*2);
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 1);
			wall2 = Util.createWall(this, this.x, this.y, 2);
			wall3 = Util.createWall(this, this.x, this.y+Util.gridUnit, 2);
			wall4 = Util.createWall(this, this.x, this.y+Util.gridUnit, 3);
		}
		
		public override function switchPipe(top:Boolean, obj:BowlingBall)
		{
			obj.vx *= -1;
			
			if (top)
				obj.y += Util.gridUnit;
			else
				obj.y -= Util.gridUnit;
		}
		
		public override function rotateLeft()
		{
			var FPN:FullPipeN = new FullPipeN();
			FPN.x = this.x;
			FPN.y = this.y;
			FPN.isSelected = true;
			parent.addChild(FPN);
			
			this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function rotateRight()
		{
			var FPS:FullPipeS = new FullPipeS();
			FPS.x = this.x;
			FPS.y = this.y;
			FPS.isSelected = true;
			parent.addChild(FPS);
		
			
			this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
	}
}