﻿package
{
	import flash.events.*;
	
	public class SmallRampW extends SmallRamp
	{
		public function SmallRampW()
		{
			
		}
		
		public override function updateWalls()
		{
			wall1 = Util.createWall(this, this.x, this.y, 1);
			wall2 = Util.createWall(this, this.x, this.y, 3);
			wall3 = Util.createWall(this, this.x, this.y, 4);
		}
		
		public override function collide(b:BowlingBall)
		{
			if (b.vx < 0 && b.y == this.y)
			{
				if (b.x == this.x)
				{
					launchBall(b);
					//b.numPieces++;
				}
			}
			else if (b.vx > 0 && b.y == this.y && b.x < this.x)
			{
				if (!b.inAir)
					b.vx *= -1;
			}
			else if (b.vy != 0 && b.x == this.x)
			{
				if (!b.inAir)
					b.vy *= -1;
			}
			
			if (buttonMode && !used)
			{
				b.numPieces++;
				used = true;
			}
		}
		
		public override function rotateLeft()
		{
			var SRS:SmallRampS = new SmallRampS();
			SRS.x = this.x;
			SRS.y = this.y;
			SRS.isSelected = true;
			parent.addChild(SRS);
			SRS.setDraggable(true);
			stage.focus = SRS;
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function rotateRight()
		{
			var SRN:SmallRampN = new SmallRampN();
			SRN.x = this.x;
			SRN.y = this.y;
			SRN.isSelected = true;
			parent.addChild(SRN);
			SRN.setDraggable(true);
			stage.focus = SRN;
			
			//this.removeWalls();
			stage.removeEventListener(KeyboardEvent.KEY_UP, keyboard_handler);
			this.parent.removeChild(this);
		}
		
		public override function launchBall(b:BowlingBall)
		{
			if (b.vx < 0)
			{
				super.launchBall(b);
				b.xDown = this.x - (Util.gridUnit * 2) + 5;
				b.yDown = this.y;
			}
		}
	}
}