﻿/*
This class controls the stealth powerup
*/

package
{

	import flash.display.*
	import flash.events.*
	import flash.ui.*
	import flash.filters.*
	import flash.utils.Timer;
    import flash.events.TimerEvent;
	
	public class TrayOfStealth extends PowerUp
	{
		//the powerup has this static property so it can be referenced from any class easily 
		static public var main;
		
		//the powerup is created in the Game's placePowerUps() function 
		public function TrayOfStealth(x_, y_)
		{	
			super(x_,y_);
		}
		
		//called when the player hits this
		public override function hit()
		{
			if (this.parent != null)
			{
				Game.main.player.invincible = true;
				Game.main.player.moving = true;
				Game.main.player.hitMax = 0;
				Game.main.player.stealth = true;
				if (Game.main.player.stealthCount <= 30)
				{
					Game.main.player.stealthCount = 90;
					Game.main.player.hitime = 90;
				}
				else
				{
					Game.main.player.stealthCount += 60;
					Game.main.player.hitime += 60;
				}
				Game.main.player.visible = true;
				Game.main.player.alpha = 0.5;
				Game.main.stealthDisplay.alpha = 1;
				kill();
			}
		}
	}
}